Gumi Inc
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/gumi-inc/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/gumi-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1749600000000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://finance-frontend-pc-dist.west.edge.storage-yahoo.jp/disclosure/20250611/20250610586610.pdf",
"holding_balance": 80.352,
"holding_net_change": 80.35,
"transaction_value_usd": 6891692.47,
"average_entry_value_usd": 85768.77,
"transaction_value_calculated": false
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/gumi-inc/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
80.352
],
[
1779062400000,
80.352
],
[
1779148800000,
80.352
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/gumi-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
6221644.11072
],
[
1779062400000,
6182625.98304
],
[
1779148800000,
6167820.32352
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/gumi-inc/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/gumi-inc/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/gumi-inc/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/gumi-inc/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.0,
"share_price_change_state": "down"
}